## Package org.relaxng.datatype

Interface Summary
Datatype: Datatype object.
DatatypeBuilder: Creates a user-defined type by adding parameters to the pre-defined type.
DatatypeLibrary: A Datatype library
DatatypeLibraryFactory: Factory class for the DatatypeLibrary class.
DatatypeStreamingValidator: Datatype streaming validator.
ValidationContext: An interface that must be implemented by caller to provide context information that is necessary to perform validation of some Datatypes.

Exception Summary
DatatypeException: Signals Datatype related exceptions.